from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Int, Float

Mzrt_Match_Py_V0_1_0 = CommandToolBuilder(tool="mzrt_match.py", base_command=["mzrt_match.py"], inputs=[ToolInput(tag="in_an_no_one", input_type=File(optional=True), prefix="--anno1", doc=InputDocumentation(doc="Out path for first file")), ToolInput(tag="in_an_no_two", input_type=File(optional=True), prefix="--anno2", doc=InputDocumentation(doc="Out path for second file")), ToolInput(tag="in_uniqid_one", input_type=Int(optional=True), prefix="--uniqID1", doc=InputDocumentation(doc="Name of the column in file1 that contains the uniqID")), ToolInput(tag="in_mz_i_done", input_type=Int(optional=True), prefix="--mzID1", doc=InputDocumentation(doc="Name of the column in file1 that contains MZ")), ToolInput(tag="in_rti_done", input_type=Int(optional=True), prefix="--rtID1", doc=InputDocumentation(doc="Name of the column in file1 that contains RT")), ToolInput(tag="in_uniqid_two", input_type=Int(optional=True), prefix="--uniqID2", doc=InputDocumentation(doc="Name of the column in file2 that contains the uniqID")), ToolInput(tag="in_mz_id_two", input_type=Int(optional=True), prefix="--mzID2", doc=InputDocumentation(doc="Name of the column in file2 that contains MZ")), ToolInput(tag="in_rt_id_two", input_type=Int(optional=True), prefix="--rtID2", doc=InputDocumentation(doc="Name of the column in file2 that contains RT")), ToolInput(tag="in_all", input_type=File(optional=True), prefix="--all", doc=InputDocumentation(doc="Out path for All peak combinations File")), ToolInput(tag="in_matched", input_type=File(optional=True), prefix="--matched", doc=InputDocumentation(doc="Out path for Matched peaks combinations File")), ToolInput(tag="in_unmatched_one", input_type=File(optional=True), prefix="--unmatched1", doc=InputDocumentation(doc="Out path for Unmatched peaks in file 1")), ToolInput(tag="in_unmatched_two", input_type=File(optional=True), prefix="--unmatched2", doc=InputDocumentation(doc="Out path for Unmatched peaks in file 2")), ToolInput(tag="in_summary", input_type=File(optional=True), prefix="--summary", doc=InputDocumentation(doc="Out path for Summary File")), ToolInput(tag="in_figure", input_type=File(optional=True), prefix="--figure", doc=InputDocumentation(doc="Out path for Matched vs Unmatched Combinations Venn\nDiagram File")), ToolInput(tag="in_mz_cut", input_type=Float(optional=True), prefix="--mzcut", doc=InputDocumentation(doc="Window value for MZ matching [default 0.005]")), ToolInput(tag="in_rt_cut", input_type=Float(optional=True), prefix="--rtcut", doc=InputDocumentation(doc="Window value for RT matching [default 0.15]")), ToolInput(tag="in_name_one", input_type=Int(optional=True), prefix="--name1", doc=InputDocumentation(doc="Short name for File 1 [default F1]")), ToolInput(tag="in_name_two", input_type=Int(optional=True), prefix="--name2", doc=InputDocumentation(doc="Short name for File 2 [default F2]\n"))], outputs=[ToolOutput(tag="out_an_no_one", output_type=File(optional=True), selector=InputSelector(input_to_select="in_an_no_one", type_hint=File()), doc=OutputDocumentation(doc="Out path for first file")), ToolOutput(tag="out_an_no_two", output_type=File(optional=True), selector=InputSelector(input_to_select="in_an_no_two", type_hint=File()), doc=OutputDocumentation(doc="Out path for second file")), ToolOutput(tag="out_all", output_type=File(optional=True), selector=InputSelector(input_to_select="in_all", type_hint=File()), doc=OutputDocumentation(doc="Out path for All peak combinations File")), ToolOutput(tag="out_matched", output_type=File(optional=True), selector=InputSelector(input_to_select="in_matched", type_hint=File()), doc=OutputDocumentation(doc="Out path for Matched peaks combinations File")), ToolOutput(tag="out_unmatched_one", output_type=File(optional=True), selector=InputSelector(input_to_select="in_unmatched_one", type_hint=File()), doc=OutputDocumentation(doc="Out path for Unmatched peaks in file 1")), ToolOutput(tag="out_unmatched_two", output_type=File(optional=True), selector=InputSelector(input_to_select="in_unmatched_two", type_hint=File()), doc=OutputDocumentation(doc="Out path for Unmatched peaks in file 2")), ToolOutput(tag="out_summary", output_type=File(optional=True), selector=InputSelector(input_to_select="in_summary", type_hint=File()), doc=OutputDocumentation(doc="Out path for Summary File")), ToolOutput(tag="out_figure", output_type=File(optional=True), selector=InputSelector(input_to_select="in_figure", type_hint=File()), doc=OutputDocumentation(doc="Out path for Matched vs Unmatched Combinations Venn\nDiagram File"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Mzrt_Match_Py_V0_1_0().translate("wdl", allow_empty_container=True)

